import { actionResult, UserDirectoryActionType, } from 'quidproquo-core';
const getUserDirectorySetAccessTokenActionProcessor = (qpqConfig) => {
    return async ({ accessToken }, session, aps, logger, updateSession) => {
        updateSession({
            accessToken
        });
        return actionResult(void 0);
    };
};
export default (qpqConfig) => {
    return {
        [UserDirectoryActionType.SetAccessToken]: getUserDirectorySetAccessTokenActionProcessor(qpqConfig),
    };
};
